Subject: Invalid TP results in frame encoding error?

From: Dmitri Tikhonov <[email-masked]>
Date: Mon, 14 Sep 2020 08:44:17 -0400

Hello,

I noticed this in the Transport Draft (ID-30):

   If a max_streams transport parameter or MAX_STREAMS frame is received
   with a value greater than 2^60, this would allow a maximum stream ID
   that cannot be expressed as a variable-length integer; see
   Section 16.  If either is received, the connection MUST be closed
   immediately with a connection error of type FRAME_ENCODING_ERROR; see
   Section 10.2.

Is this intentional?  Should an invalid transport parameter result in a
frame encoding error? 

  - Dmitri.